Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 282177 - resync xpfe bindings with toolkit widgets
: resync xpfe bindings with toolkit widgets
Product: Core
Classification: Components
Component: XUL (show other bugs)
: Trunk
: All All
: -- normal with 4 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: Neil Deakin
Depends on: 282179 282180 282181 282182 282183 282184 282186 282187 282188 282189 282190 282191 283182 285374 350221 383936
Blocks: 255807
  Show dependency treegraph
Reported: 2005-02-13 21:22 PST by Mike Connor [:mconnor]
Modified: 2012-02-20 17:45 PST (History)
46 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Mike Connor [:mconnor] 2005-02-13 21:22:54 PST
As part of the seamonkey-on-xulrunner work, we need to resync xpfe's bindings
with toolkit's widgets.  Added benefits to both sides will be picking up fixes
that have occured on one side of the fork or the other.  Right now, 13 are still
synced, not counting a couple with whitespace-only differences, and 15 have
differences to be merged.

As part of the process, we can use relative paths in the xpfe to pick up
the toolkit versions of synced files, and cvs remove the xpfe versions.  The
xpfe files will always be there in the attic if we need them for cvs blame etc.

There's some issues to be resolved on the non-code level wrt code review as
well, but that's something that needs some discussion with xpfe and toolkit owners.

The following files are already in sync and we can start with them once the
non-code issues are resolved appropriately:
checkbox.xml, colorpicker.xml, editor.xml, groupbox.xml, menulist.xml,
nativescrollbar.xml, popup.xml, progressmeter.xml, scrollbar.xml, scrollbox.xml,
spinbuttons.xml, splitter.xml, stringbundle.xml
Comment 1 Mike Connor [:mconnor] 2005-02-13 21:53:39 PST
radio.xml is just a blank line before a return statement, so that's 14.
Comment 2 Benjamin Smedberg [:bsmedberg] 2005-02-14 05:52:32 PST
Didn't BZ file an identical bug to this one a couple months back?
Comment 3 Chris Thomas (CTho) [formerly] 2005-03-08 06:59:58 PST
Somebody unsync'ed colorpicker.xml
Comment 5 Robert Kaiser 2007-05-11 03:15:47 PDT
SeaMonkey works fine using the toolkit widgets (code-named "suiterunner"). 

Our intention is to flip the switch very soon and build the trunk suite on toolkit, so that xpfe loses its last big user. 

Improvements that have been done on the xpfe side might still be good to be ported over to their toolkit counterparts so that they aren't lost - porting in the other direction doesn't make sense any more, we'll just let xpfe die without toolkit's improvements ;-)

Could someone sort out the dependencies here that can just be closed out going this direction?
Comment 6 Robert Kaiser 2007-06-10 14:47:55 PDT
is there still something in the widgets area that needs to be ported from xpfe to toolkit that is not tracked by bugs in the dependency list of this one? If so, we should file that soon as we'd like to kill xpfe ASAP.
Comment 7 Matthias Versen [:Matti] 2012-02-15 19:56:00 PST
XPFE is dead and all depending bugs are fixed
Comment 8 Philip Chee 2012-02-15 20:42:14 PST
Matti, I think Bug 285374 is still open. It's a one line fix. Serge, do you want to take it?
Comment 9 Matthias Versen [:Matti] 2012-02-15 21:20:39 PST
you are right and I need glasses
Comment 10 Matthias Versen [:Matti] 2012-02-20 17:45:31 PST
and it's now really fixed :-)

Note You need to log in before you can comment on or make changes to this bug.